CVE PUBLISH-ADP(1)

NAME
cve-publish-adp - Add or update an ADP container in a CVE...

SYNOPSIS
cve publish-adp [OPTIONS] CVE_ID

DESCRIPTION
Add or update an ADP container in a CVE record for a published CVE ID.

NOTE: a published ADP container cannot be removed, only updated with new data.

The ADP container can be specified as a string:

  cve publish-adp CVE-2022-1234 -j '{"affected": [], "descriptions": [], "references": {}, ...}'

Or passed in a file:

  cve publish-adp CVE-2022-1234 -f adp.json

For information on the required properties in a given ADP container of a CVE record, see the schema in:

https://cveproject.github.io/cve-schema/schema/docs/

Because the CVE Services API only expects the ADP container contents of the full CVE v5 record, the data you pass to this command can specify just the attributes defined by the adpContainer subschema.

OPTIONS

-j, --adp-json TEXT
    JSON body of the ADP container to publish.

-f, --adp-json-file FILENAME
    File containing JSON body of ADP container to publish.

--raw
    Print response JSON.